Bug 20573 - RFE: Crypto support for util-linux
Summary: RFE: Crypto support for util-linux
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux   
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact: Dale Lovelace
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-09 13:19 UTC by Albert Strasheim
Modified: 2007-04-18 16:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-06 18:34:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Albert Strasheim 2000-11-09 13:19:53 UTC
Hello,

The encrypted filesystem over loopback (included with the other
kernel crypto patches) needs modifications to util-linux. There is a
patch for 2.10o included with the latest release of the crypto code
(for 2.2.17).

As far as I know, the only thing that gets modified is losetup.

So, mmm, now what?

Regards,

Albert

Comment 1 Daniel Roesen 2000-11-09 16:18:49 UTC
I support the request to add that patch to util-linux

Comment 2 Erik Troan 2001-04-17 17:42:56 UTC
The 7.2 kernel doesn't support this.

Comment 3 Daniel Roesen 2001-04-17 18:29:06 UTC
[I guess you mean 6.2 and not 7.2]

Where's the problem? mount(8) also supports several features which are not
available in RH 6.x and RH 7.0 kernels (2.2.x), think of mount-options "bind"
etc. If the additional features don't break anything, why not include it and
support people using the international kernel patchset?

[btw... isn't WONTFIX a better "resolution" than NOTABUG?]


Note You need to log in before you can comment on or make changes to this bug.